
namespace: authentik
authentik:
    secret_key: "6sNotXqR3cvcVHx3RbYCViX6J/OmMvopb4b7ge80V3EdSgBtWzG0l4SXBPo80J3mRy0BDaCCfb1EZoz+"
    existingSecret:
        secretName: ""
    # This sends anonymous usage-data, stack traces on errors and
    # performance data to sentry.io, and is fully opt-in
    error_reporting:
        enabled: true
    postgresql:
        password: "WoPbKRCEeLoLb9J840FqwDE95ergX8CqXq7jC6nbJkoNSiTSlA"

global:
    volumeMounts:
        - name: authentik-rbac-migration-fix
          mountPath: /authentik/rbac/migrations/0010_remove_role_group_alter_role_name.py
          subPath: 0010_remove_role_group_alter_role_name.py
    volumes:
        - name: authentik-rbac-migration-fix
          configMap:
              name: authentik-rbac-migration-fix

server:
    ingress:
        # Specify kubernetes ingress controller class name
        # ingressClassName: nginx 
        # enabled: true
        # hosts:
        #     - authentik.henryathome.home64.de
        enabled: false
    service:
        type: NodePort
        port: 9000
        nodePort: 32222

postgresql:
    enabled: true
    auth:
        password: "WoPbKRCEeLoLb9J840FqwDE95ergX8CqXq7jC6nbJkoNSiTSlA"
    primary:
        persistence:
            enabled: true
            existingClaim: authentik-postgresql-longhorn-pvc

additionalObjects:
    - apiVersion: v1
      kind: ConfigMap
      metadata:
        name: authentik-rbac-migration-fix
        namespace: authentik
      data:
        0010_remove_role_group_alter_role_name.py: |
          from django.db import migrations, models


          class Migration(migrations.Migration):

              dependencies = [
                  ("authentik_rbac", "0009_remove_initialpermissions_mode"),
                  ("authentik_core", "0056_user_roles"),
              ]

              operations = [
                  migrations.RemoveField(
                      model_name="role",
                      name="group",
                  ),
                  migrations.AlterField(
                      model_name="role",
                      name="name",
                      field=models.TextField(unique=True),
                  ),
              ]